<div class="search-form">
  <form [formGroup]="form" class="" (ngSubmit)="search()">
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="30px" fxLayoutAlign="start stretch">
      <div fxFlex fxLayout="column">
        <div>
          <mat-form-field appearance="outline" fxFlex="41">
            <mat-label>Fritextmatcha utbildningsrubrik</mat-label>
            <input matInput placeholder=""
                   [formControl]="headingCtrl"
                   id="headingInput">
            <mat-icon matIconSuffix>search</mat-icon>
          </mat-form-field>
        </div>
        <div>
            <mat-form-field appearance="outline" fxFlex="41">
            <mat-label>Fritextmatcha utbildningstext</mat-label>
            <textarea matInput placeholder=""
                      [formControl]="freeTextSearchCtrl"
                      required
                      id="freeTextSearchInput"
                      autocomplete="off"
                      cdkTextareaAutosize
                      cdkAutosizeMinRows="10"
                      cdkAutosizeMaxRows="10"></textarea>
            <mat-icon matIconSuffix>search</mat-icon>
          </mat-form-field>
        </div>
        <div>
          <button type="submit" mat-raised-button [disabled]="!isValidControls()" class="search-button btn-primary-education" fxFlex="15"
                  >Matcha yrken
          </button>
        </div>
      </div>
    </div>
  </form>
    <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px" fxLayoutAlign="start center" class="label">
      <div>Max antal träffar ({{maxNumberOfMatchingLabel()}}):</div>
      <mat-slider id="maxNumberOfMatchesInput" discrete min=”1″ max=”100″ step=”1000″ [displayWith]="formatLabel" (change)="updateChangeMaxNumberOfMatches($event)">
        <input matSliderThumb [(ngModel)]="maxNumberOfMatches"/>
      </mat-slider>
    </div>
</div>

